メインコンテンツまでスキップ

設定情報の取得


説明​

指定した ID の設定情報を取得します。

必要権限​

アカウント設定の変更

URL​

GET /system/users/{userIds}/preference

パスパラメーター​

名前型必須か説明
userIdsstring○ユーザーID

レスポンス​

名前型説明
ーUserPreference[]ユーザー分のレスポンスを返す。

エラーケース​

  • なし

特記事項​

  • 必要権限がないユーザーからの要求に対しては、空データを返します。  
  • 必要権限が「アカウント設定の変更」のみの場合、ログインユーザーの情報のみ取得できます。

サンプル​

ユーザーを指定して休憩時間を取得する​

GET /system/users/21/preference
Response
200 OK

[
{
"userId":"21",
"breakTimes":[
{
"startTime":"12:00",
"endTime":"13:00"
}
],
"firstVisibleTimeStartTime": "8:00",
"showNameWithMemo": false
}
]

型定義​

UserPreference​

名前型説明
userIdstringユーザーID
breakTimesBreakTime[]休憩時間
firstVisibleTimeStartTimestring初期表示時刻
ShowNameWithMemobooleanメモ登録時にアイテム名称を表示するか

BreakTime​

名前型説明
startTimestring開始時刻
endTimestring終了時刻